Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  Umgrenzung einer Schraffur innerhalb einer Blockdefinition erstellen

  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Thema geschlossen  Thema geschlossen!
Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

Dieser Beitrag ist erfolgreich in das Forum Lisp verschoben worden.

nächster neuer Beitrag | nächster älterer Beitrag
  
Gut zu wissen: Hilfreiche Tipps und Tricks aus der Praxis prägnant, und auf den Punkt gebracht für Autodesk Produkte
Autor Thema:  Umgrenzung einer Schraffur innerhalb einer Blockdefinition erstellen (161 mal gelesen)
Freibier
Mitglied


Sehen Sie sich das Profil von Freibier an!   Senden Sie eine Private Message an Freibier  Schreiben Sie einen Gästebucheintrag für Freibier

Beiträge: 4
Registriert: 15.09.2015

AutoCAD 2019.1.4

erstellt am: 26. Jul. 2022 15:10    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo!

Verzeihung vorne weg, falls ich zum Thema über die Suchfunktion (inkl. Google) einen Beitrag übersehen habe und es bereits einen Beitrag gibt, aber die diversen Suchbezeichnungen haben leider noch zu keinem funktionierenden Ergebnis geführt.


Folgendes Thema:
Ich bastle an einer LISP, die Umgrenzungen für alle SOLID-Schraffuren erstellen soll auf Basis abgefragter Layer (soweit noch nichts neues).

Für im Modell enthaltenen Schraffuren klappt das recht unproblematisch mit:

Code:

...
(setq aws(ssget ...))
(command "_HATCHGENERATEBOUNDARY" aws "")
...

Nun möchte ich dies innerhalb der Blockdefinitionen ebenfalls machen.
Die Blöcke durchsuchen funktioniert auch wie gewohnt:

Code:

...
(vlax-for BLOCK (vla-get-blocks (vla-get-activedocument (vlax-get-acad-object)))
  (vlax-for ITEM BLOCK 
    (if ...
      (progn
        ...
          ???
        ...
      ); end progn
    ) ;end if
  ) ;vlax-for ITEM BLOCK   
) ;vlax-for BLOCK
...

Die Frage ist nun, was muss anstelle der ??? stehen, dass er für ITEM die Umgrenzung erzeugt?

Simpel, wie bei der Abfrage im Modell mit (command) hat erwartungsgemäß nicht funktioniert :D
Das die Schleife aber korrekt funktioniert, zeigt mir der Test mit diesen Zeilen um entweder die Schraffuren zu löschen oder zu färben:

Code:

        (vla-delete ITEM)
        (vla-put-Color ITEM 1)


Kann mir eventuell jemand weiterhelfen bzw. auf die richtige LISP-Spur bringen?
Bzw. gibt es für _HATCHGENERATEBOUNDARY einen vla-... Ersatz?

Bin für jeden Input dankbar!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 21225
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 26. Jul. 2022 15:39    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Freibier 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von Freibier:
Ich bastle an einer LISP

Dann ist ist es im LISP Forum gut aufgehoben,
HIER geht es weiter <Klick!>

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag öffnen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2022 CAD.de | Impressum | Datenschutz